/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const n=require("vue"),p=require("./BaseChart.js"),b=require("@progress/kendo-charts"),a=require("@progress/kendo-vue-common");function C(e){return typeof e=="function"||Object.prototype.toString.call(e)==="[object Object]"&&!n.isVNode(e)}const g={autoBindElements:!0,liveDrag:!1,partialRedraw:!0},m=n.defineComponent({name:"KendoStockChart",props:{partialRedraw:{type:Boolean,default:void 0},dir:String,renderAs:{type:String,default:void 0,validator:function(e){return["svg","canvas"].includes(e)}},pannable:{type:[Boolean,Object],default:function(){}},zoomable:{type:[Boolean,Object],default:function(){}},seriesColors:{type:Array,default:function(){}},transitions:{type:Boolean,default:!0},paneDefaults:{type:Object,default:function(){}},panes:{type:Array,default:function(){}},seriesDefaults:{type:Object,default:function(){}},axisDefaults:{type:Object,default:function(){}}},updated(){this.baseChart=a.getRef(this,"baseChart")},mounted(){this.baseChart=a.getRef(this,"baseChart")},methods:{chartInstance(){return this.baseChart!==null?this.baseChart.chartInstance:null},surface(){return this.baseChart!==null?this.baseChart.surface:null},element(){return this.baseChart!==null?this.baseChart.element:null},getTarget(){return this},deriveOptionsFromParent(e){const t=Object.assign({},e.navigator||{},g);return Object.assign({},e,{navigator:t})},onRefresh(e,t,r){this.$props.partialRedraw?(r.applyOptions(e),r.bindCategories(),r.navigator.redrawSlaves()):r.setOptions(e,t)},handleBaseChartEvents(e,t){this.$emit(e,t)}},render(){const e=a.getDefaultSlots(this),{partialRedraw:t,dir:r,renderAs:s,pannable:i,zoomable:o,seriesColors:u,transitions:l,paneDefaults:d,panes:f,seriesDefaults:h,axisDefaults:c}=this.$props;return n.createVNode(p.BaseChart,{dir:r,renderAs:s,pannable:i,zoomable:o,seriesColors:u,transitions:l,paneDefaults:d,panes:f,seriesDefaults:h,axisDefaults:c,ref:a.setRef(this,"baseChart"),chartConstructor:b.StockChart,getTarget:this.getTarget,wrapper:"div",deriveOptionsFromParent:this.deriveOptionsFromParent,onRefresh:this.onRefresh,class:a.classNames("k-chart k-stockchart"),onBasechartevent:this.handleBaseChartEvents},C(e)?e:{default:()=>[e]})}});exports.StockChart=m;
