/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { Configuration as n } from "./base/ConfigurationComponent.mjs";
import { getDefaultSlots as r } from "@progress/kendo-vue-common";
import { removeUndefinedProps as o } from "../utils/main.mjs";
import { defineComponent as i, h as u } from "vue";
const p = /* @__PURE__ */ i({
  name: "KendoChartNavigator",
  props: {
    visible: {
      type: Boolean,
      default: !0
    },
    categoryAxis: {
      type: Object,
      default: function() {
      }
    },
    hint: {
      type: Object,
      default: function() {
      }
    },
    pane: {
      type: Object,
      default: function() {
      }
    },
    select: {
      type: Object,
      default: function() {
      }
    },
    series: {
      type: [Object, Array],
      default: function() {
      }
    }
  },
  render() {
    const e = r(this), t = o(this.$props);
    return u(n, {
      config: t,
      chartKey: "navigator"
    }, function() {
      return e;
    });
  }
});
export {
  p as ChartNavigator
};
