/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { Configuration as n } from "./base/ConfigurationComponent.mjs";
import { getDefaultSlots as r } from "@progress/kendo-vue-common";
import { removeUndefinedProps as o } from "../utils/main.mjs";
import { defineComponent as u, h as d } from "vue";
const m = /* @__PURE__ */ u({
  name: "KendoChartPlotArea",
  props: {
    background: {
      type: String,
      default: void 0
    },
    border: {
      type: Object,
      default: function() {
      }
    },
    margin: {
      type: [Object, Number],
      default: function() {
      }
    },
    opacity: {
      type: Number,
      default: void 0
    },
    padding: {
      type: [Object, Number],
      default: function() {
      }
    }
  },
  render() {
    const e = r(this), t = o(this.$props);
    return d(n, {
      config: t,
      chartKey: "plotArea"
    }, function() {
      return e;
    });
  }
});
export {
  m as ChartPlotArea
};
