/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { Configuration as o } from "../base/ConfigurationComponent.mjs";
import { getDefaultSlots as r } from "@progress/kendo-vue-common";
import { removeUndefinedProps as n } from "../../utils/main.mjs";
import { defineComponent as i, h as s } from "vue";
const d = /* @__PURE__ */ i({
  name: "KendoChartCategoryAxisRangeLabels",
  props: {
    position: {
      type: String,
      default: void 0,
      validator: function(e) {
        return ["start", "end", "onAxis", ""].includes(e);
      }
    },
    skip: Number,
    step: Number,
    visible: {
      type: Boolean,
      default: !0
    }
  },
  render() {
    const e = r(this), t = n(this.$props);
    return s(o, {
      config: t,
      chartKey: "rangeLabels"
    }, function() {
      return e;
    });
  }
});
export {
  d as ChartCategoryAxisRangeLabels
};
