/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { Configuration as n } from "../base/ConfigurationComponent.mjs";
import { getDefaultSlots as r } from "@progress/kendo-vue-common";
import { removeUndefinedProps as o } from "../../utils/main.mjs";
import { defineComponent as u, h as i } from "vue";
const a = /* @__PURE__ */ u({
  name: "KendoChartCategoryAxisSelect",
  props: {
    from: {
      type: [Object, Number, String],
      default: function() {
      }
    },
    max: {
      type: [Object, Number, String, Date],
      default: function() {
      }
    },
    min: {
      type: [Object, Number, String, Date],
      default: function() {
      }
    },
    mousewheel: {
      type: [Object, Boolean],
      default: function() {
      }
    },
    to: {
      type: [Object, Number, String],
      default: function() {
      }
    }
  },
  render() {
    const e = r(this), t = o(this.$props);
    return i(n, {
      config: t,
      chartKey: "select"
    }, function() {
      return e;
    });
  }
});
export {
  a as ChartCategoryAxisSelect
};
