/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { Configuration as n } from "../base/ConfigurationComponent.mjs";
import { getDefaultSlots as o } from "@progress/kendo-vue-common";
import { removeUndefinedProps as r } from "../../utils/main.mjs";
import { defineComponent as i, h as f } from "vue";
const c = /* @__PURE__ */ i({
  name: "KendoChartLegendInactiveItems",
  props: {
    labels: {
      type: Object,
      default: function() {
      }
    }
  },
  render() {
    const e = o(this), t = r(this.$props);
    return f(n, {
      config: t,
      chartKey: "inactiveItems"
    }, function() {
      return e;
    });
  }
});
export {
  c as ChartLegendInactiveItems
};
