/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { Configuration as n } from "../base/ConfigurationComponent.mjs";
import { getDefaultSlots as e } from "@progress/kendo-vue-common";
import { removeUndefinedProps as r } from "../../utils/main.mjs";
import { defineComponent as i, h as f } from "vue";
const s = /* @__PURE__ */ i({
  name: "KendoChartNavigatorHint",
  props: {
    content: {
      type: Function,
      default: void 0
    },
    format: String,
    visible: {
      type: Boolean,
      default: void 0
    }
  },
  render() {
    const t = e(this), o = r(this.$props);
    return f(n, {
      config: o,
      chartKey: "hint"
    }, function() {
      return t;
    });
  }
});
export {
  s as ChartNavigatorHint
};
