/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { Configuration as o } from "../base/ConfigurationComponent.mjs";
import { getDefaultSlots as n } from "@progress/kendo-vue-common";
import { removeUndefinedProps as r } from "../../utils/main.mjs";
import { defineComponent as f, h as i } from "vue";
const c = /* @__PURE__ */ f({
  name: "KendoChartNavigatorSelect",
  props: {
    from: {
      type: Date,
      default: function() {
      }
    },
    mousewheel: {
      type: [Object, Boolean],
      default: function() {
      }
    },
    to: {
      type: Date,
      default: function() {
      }
    }
  },
  render() {
    const e = n(this), t = r(this.$props);
    return i(o, {
      config: t,
      chartKey: "select"
    }, function() {
      return e;
    });
  }
});
export {
  c as ChartNavigatorSelect
};
