/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { Configuration as n } from "../base/ConfigurationComponent.mjs";
import { getDefaultSlots as r } from "@progress/kendo-vue-common";
import { removeUndefinedProps as o } from "../../utils/main.mjs";
import { defineComponent as i, h as f } from "vue";
const p = /* @__PURE__ */ i({
  name: "KendoChartSeriesDefaultsLabelsFrom",
  props: {
    background: String,
    border: {
      type: Object,
      default: function() {
      }
    },
    color: String,
    content: {
      type: Function,
      default: void 0
    },
    font: String,
    format: String,
    margin: {
      type: [Object, Number],
      default: function() {
      }
    },
    padding: {
      type: [Object, Number],
      default: function() {
      }
    },
    visible: {
      type: Boolean,
      default: void 0
    }
  },
  render() {
    const e = r(this), t = o(this.$props);
    return f(n, {
      config: t,
      chartKey: "from"
    }, function() {
      return e;
    });
  }
});
export {
  p as ChartSeriesDefaultsLabelsFrom
};
