/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { Configuration as t } from "../base/ConfigurationComponent.mjs";
import { getDefaultSlots as e } from "@progress/kendo-vue-common";
import { removeUndefinedProps as i } from "../../utils/main.mjs";
import { defineComponent as n, h as s } from "vue";
const u = /* @__PURE__ */ n({
  name: "KendoChartYAxisCrosshair",
  props: {
    color: String,
    opacity: Number,
    visible: {
      type: Boolean,
      default: !0
    },
    width: Number,
    tooltip: {
      type: Object,
      default: void 0
    }
  },
  render() {
    const o = e(this), r = i(this.$props);
    return s(t, {
      config: r,
      chartKey: "crosshair"
    }, function() {
      return o;
    });
  }
});
export {
  u as ChartYAxisCrosshair
};
