/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const o=require("vue"),i=require("@progress/kendo-charts"),l=require("../utils/main.js"),c=require("@progress/kendo-vue-popup"),s=require("@progress/kendo-vue-common"),d={horizontal:"fit",vertical:"fit"},h="k-chart-tooltip",f="k-chart-tooltip-wrapper",v=o.defineComponent({name:"KendoTooltipPopup",props:{className:String,popupShown:Boolean,popupAlign:{type:Object,default:function(){}},popupOffset:{type:Object},popupStyles:{type:Object},popupContent:Function},inject:{options:{default:{state:{}}},dispatchOptions:{default:null},observersState:{default:null},dispatchObservers:{default:null},childrenObserver:{default:null}},created(){this.chartObserver=new i.InstanceObserver(this,{onMouseLeave:"onChartMouseLeave"}),this.dispatchObservers({type:"add",payload:this.chartObserver})},mounted(){this.element=s.getRef(this,"element")},unmounted(){this.dispatchObservers({type:"remove",payload:this.chartObserver})},render(){const e=s.getDefaultSlots(this),{popupShown:t,popupAlign:n,popupOffset:r,popupStyles:p,className:a}=this.$props,u=[h,a].join(" ").trim();return o.createVNode(c.Popup,{animate:!1,popupAlign:n,offset:r,show:t,collision:d,class:f},{default:()=>[o.createVNode("div",{class:u,style:p,onMouseleave:this.onMouseLeave,ref:s.setRef(this,"element")},[e])]})},methods:{onChartMouseLeave(e){const{event:t}=e;return!!l.hasParent(t.relatedTarget,this.element)},onMouseLeave(e){}}});exports.TooltipPopup=v;
