/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const r=require("vue"),a=require("@progress/kendo-charts"),u=require("@progress/kendo-vue-common"),p=r.defineComponent({name:"KendoDonutCenter",props:{render:[String,Function,Object]},data(){return{donutCenterStyles:null}},inject:{optionsState:{default:{}},dispatchOptions:{default:null},dispatchObservers:{default:null},childrenObserver:{default:null}},created(){this.dispatchObservers({type:"add",payload:new a.InstanceObserver(this,{render:"onRender"})})},render(){const{render:t}=this.$props;let e=r.createVNode("span",null,null);const n=u.getTemplate.call(this,{h:r.h,template:t,defaultRendering:null});return t&&this.donutCenterStyles&&(e=r.createVNode("div",{class:"k-chart-donut-center",style:this.donutCenterStyles},[n])),e},methods:{onRender(t){const e=this.optionsState.series,n=Array.isArray(e)?e[0]:null,d=t.sender._plotArea.charts;if(!n||n.type!=="donut"||d[0].points.length===0)return;const s=d[0].points[0].sector,o=s.innerRadius,l=s.center.y-o,c=s.center.x-o,i=o*2;this.donutCenterStyles={height:i+"px",left:c+"px",top:l+"px",width:i+"px"}}}});exports.DonutCenter=p;
