/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const s=require("vue"),b=require("./BaseChart.js"),i=require("@progress/kendo-charts"),n=require("@progress/kendo-vue-common");function m(e){return typeof e=="function"||Object.prototype.toString.call(e)==="[object Object]"&&!s.isVNode(e)}const C=s.defineComponent({name:"KendoSparkline",props:{dataItems:{type:Array,default:function(){}},type:String,dir:String,renderAs:{type:String,default:void 0,validator:function(e){return["svg","canvas"].includes(e)}},pannable:{type:[Boolean,Object],default:function(){}},zoomable:{type:[Boolean,Object],default:function(){}},seriesColors:{type:Array,default:function(){}},transitions:{type:Boolean,default:!0},paneDefaults:{type:Object,default:function(){}},panes:{type:Array,default:function(){}},seriesDefaults:{type:Object,default:function(){}},axisDefaults:{type:Object,default:function(){}}},updated(){this.baseChart=n.getRef(this,"baseChart")},mounted(){this.baseChart=n.getRef(this,"baseChart")},methods:{chartInstance(){return this.baseChart!==null?this.baseChart.chartInstance:null},surface(){return this.baseChart!==null?this.baseChart.surface:null},element(){return this.baseChart!==null?this.baseChart.element:null},getTarget(){return this},deriveOptionsFromParent(e){const{type:t,dataItems:r}=this.$props,a=Object.assign({},e,{type:t,data:r});return i.Sparkline.normalizeOptions(a)},handleBaseChartEvents(e,t){this.$emit(e,t)}},render(){const e=n.getDefaultSlots(this),{dataItems:t,dir:r,renderAs:a,pannable:u,zoomable:o,seriesColors:l,transitions:d,paneDefaults:f,panes:p,seriesDefaults:c,axisDefaults:h}=this.$props;return s.createVNode(b.BaseChart,{dataItems:t,dir:r,renderAs:a,pannable:u,zoomable:o,seriesColors:l,transitions:d,paneDefaults:f,panes:p,seriesDefaults:c,axisDefaults:h,ref:n.setRef(this,"baseChart"),chartConstructor:i.Sparkline,getTarget:this.getTarget,wrapper:"span",deriveOptionsFromParent:this.deriveOptionsFromParent,class:n.classNames("k-sparkline k-widget"),onBasechartevent:this.handleBaseChartEvents},m(e)?e:{default:()=>[e]})}});exports.Sparkline=C;
