/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { Configuration as r } from "./base/ConfigurationComponent.mjs";
import { getDefaultSlots as n } from "@progress/kendo-vue-common";
import { removeUndefinedProps as o } from "../utils/main.mjs";
import { defineComponent as d, h as u } from "vue";
const m = /* @__PURE__ */ d({
  name: "KendoChartArea",
  props: {
    background: {
      type: String,
      default: void 0
    },
    border: {
      type: Object,
      default: function() {
      }
    },
    height: {
      type: Number,
      default: void 0
    },
    margin: {
      type: [Object, Number],
      default: function() {
      }
    },
    opacity: {
      type: Number,
      default: void 0
    },
    width: {
      type: Number,
      default: void 0
    }
  },
  render() {
    const e = n(this), t = o(this.$props);
    return u(r, {
      config: t,
      chartKey: "chartArea"
    }, function() {
      return e;
    });
  }
});
export {
  m as ChartArea
};
