/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const u=require("./base/ConfigurationComponent.js"),r=require("@progress/kendo-vue-common"),i=require("../utils/main.js"),t=require("vue"),d=t.defineComponent({name:"KendoChartLegend",props:{align:{type:String,default:function(){},validator:function(e){return["start","center","end"].includes(e)}},background:{type:String,default:void 0},border:{type:Object,default:function(){}},height:{type:Number,default:void 0},labels:{type:Object,default:function(){}},margin:{type:[Object,Number],default:function(){}},offsetX:{type:Number,default:void 0},offsetY:{type:Number,default:void 0},orientation:{type:String,default:function(){},validator:function(e){return["vertical","horizontal"].includes(e)}},padding:{type:[Object,Number],default:function(){}},position:{type:String,default:function(){},validator:function(e){return["top","bottom","left","right","custom"].includes(e)}},reverse:{type:Boolean,default:void 0},visible:{type:Boolean,default:!0},width:{type:Number,default:void 0},inactiveItems:{type:Object,default:function(){}},item:{type:Object,default:function(){}},spacing:{type:Number,default:void 0},title:{type:Object,default:function(){}},focusHighlight:{type:Object,default:function(){}}},render(){const e=r.getDefaultSlots(this),n=i.removeUndefinedProps(this.$props);return t.h(u.Configuration,{config:n,chartKey:"legend"},function(){return e})}});exports.ChartLegend=d;
