/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as e, createVNode as o, isVNode as n } from "vue";
import { CollectionConfiguration as r } from "./base/CollectionConfigurationComponent.mjs";
import { getDefaultSlots as a } from "@progress/kendo-vue-common";
function i(t) {
  return typeof t == "function" || Object.prototype.toString.call(t) === "[object Object]" && !n(t);
}
const p = /* @__PURE__ */ e({
  name: "KendoChartPanes",
  render() {
    const t = a(this);
    return o(r, {
      chartKey: "panes"
    }, i(t) ? t : {
      default: () => [t]
    });
  }
});
export {
  p as ChartPanes
};
