/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as e, createVNode as o, isVNode as r } from "vue";
import { CollectionConfiguration as n } from "./base/CollectionConfigurationComponent.mjs";
import { getDefaultSlots as i } from "@progress/kendo-vue-common";
function c(t) {
  return typeof t == "function" || Object.prototype.toString.call(t) === "[object Object]" && !r(t);
}
const s = /* @__PURE__ */ e({
  name: "KendoChartSeries",
  render() {
    const t = i(this);
    return o(n, {
      chartKey: "series"
    }, c(t) ? t : {
      default: () => [t]
    });
  }
});
export {
  s as ChartSeries
};
