/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const r=require("./base/ConfigurationComponent.js"),a=require("@progress/kendo-vue-common"),u=require("../utils/main.js"),t=require("vue"),o=t.defineComponent({name:"KendoChartSeriesDefaults",props:{border:{type:Object,default:function(){}},gap:Number,overlay:{type:Object,default:function(){}},spacing:Number,stack:{type:[Boolean,String,Object],default:function(){}},type:{type:String,default:function(){},validator:function(e){return["area","bar","boxPlot","bubble","bullet","candlestick","column","donut","funnel","horizontalWaterfall","line","ohlc","pie","polarArea","polarLine","polarScatter","radarArea","radarColumn","radarLine","rangeArea","rangeBar","rangeColumn","scatter","scatterLine","verticalArea","verticalBoxPlot","verticalBullet","verticalLine","verticalRangeArea","waterfall"].includes(e)}},visual:{type:Function,default:void 0},labels:{type:Object,default:function(){}},notes:{type:Object,default:function(){}},tooltip:{type:Object,default:function(){}},focusHighlight:{type:Object,default:function(){}}},render(){const e=a.getDefaultSlots(this),n=u.removeUndefinedProps(this.$props);return t.h(r.Configuration,{config:n,chartKey:"seriesDefaults"},function(){return e})}});exports.ChartSeriesDefaults=o;
