/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as o, createVNode as e, isVNode as r } from "vue";
import { CollectionConfiguration as n } from "./base/CollectionConfigurationComponent.mjs";
import { getDefaultSlots as i } from "@progress/kendo-vue-common";
function c(t) {
  return typeof t == "function" || Object.prototype.toString.call(t) === "[object Object]" && !r(t);
}
const m = /* @__PURE__ */ o({
  name: "KendoChartXAxis",
  render() {
    const t = i(this);
    return e(n, {
      chartKey: "xAxis"
    }, c(t) ? t : {
      default: () => [t]
    });
  }
});
export {
  m as ChartXAxis
};
