/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const d=require("./base/ConfigurationComponent.js"),i=require("@progress/kendo-vue-common"),u=require("../utils/main.js"),t=require("vue"),r=t.defineComponent({name:"KendoChartYAxisItem",props:{axisCrossingValue:{type:[Array,Object,Date,Number],default:void 0},background:{type:String,default:void 0},baseUnit:{type:String,default:void 0,validator:function(e){return["milliseconds","seconds","minutes","hours","days","weeks","months","years","auto","fit"].includes(e)}},categories:{type:Array,default:void 0},color:{type:String,default:void 0},line:{type:Object,default:void 0},majorGridLines:{type:Object,default:void 0},majorTicks:{type:Object,default:void 0},majorUnit:{type:Number,default:void 0},max:{type:[Number,Object,String,Date],default:void 0},min:{type:[Number,Object,String,Date],default:void 0},minorGridLines:{type:Object,default:void 0},minorTicks:{type:Object,default:void 0},minorUnit:{type:Number,default:void 0},name:{type:String,default:void 0},narrowRange:{type:Boolean,default:void 0},pane:{type:String,default:void 0},plotBands:{type:Array,default:void 0},reverse:{type:Boolean,default:void 0},type:{type:String,default:void 0,validator:function(e){return["numeric","log","date"].includes(e)}},visible:{type:Boolean,default:void 0},crosshair:{type:Object,default:void 0},labels:{type:Object,default:void 0},notes:{type:Object,default:void 0},title:{type:Object,default:void 0}},render(){const e=i.getDefaultSlots(this),n=u.removeUndefinedProps(this.$props);return t.h(d.Configuration,{config:n},function(){return e})}});exports.ChartYAxisItem=r;
