/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { Configuration as t } from "./base/ConfigurationComponent.mjs";
import { getDefaultSlots as n } from "@progress/kendo-vue-common";
import { removeUndefinedProps as r } from "../utils/main.mjs";
import { defineComponent as f, h as i } from "vue";
const d = /* @__PURE__ */ f({
  name: "KendoChartZoomable",
  props: {
    mousewheel: {
      type: [Boolean, Object],
      default: void 0
    },
    selection: {
      type: [Boolean, Object],
      default: void 0
    }
  },
  render() {
    const e = n(this), o = r(this.$props);
    return i(t, {
      config: o,
      chartKey: "zoomable"
    }, function() {
      return e;
    });
  }
});
export {
  d as ChartZoomable
};
