/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { Configuration as t } from "../../base/ConfigurationComponent.mjs";
import { getDefaultSlots as n } from "@progress/kendo-vue-common";
import { removeUndefinedProps as o } from "../../../utils/main.mjs";
import { defineComponent as i, h as a } from "vue";
const p = /* @__PURE__ */ i({
  name: "KendoChartNavigatorSeriesErrorBars",
  props: {
    color: String,
    endCaps: {
      type: Boolean,
      default: void 0
    },
    line: {
      type: Object,
      default: function() {
      }
    },
    value: String,
    visual: {
      type: Function,
      default: void 0
    },
    xValue: String,
    yValue: String
  },
  render() {
    const r = n(this), e = o(this.$props);
    return a(t, {
      config: e,
      chartKey: "errorBars"
    }, function() {
      return r;
    });
  }
});
export {
  p as ChartNavigatorSeriesErrorBars
};
