/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { Configuration as n } from "../../base/ConfigurationComponent.mjs";
import { getDefaultSlots as o, templateRendering as i, getListeners as d } from "@progress/kendo-vue-common";
import { removeUndefinedProps as f } from "../../../utils/main.mjs";
import { defineComponent as a, h as p } from "vue";
const m = /* @__PURE__ */ a({
  name: "KendoChartNavigatorSeriesItemTooltip",
  props: {
    background: String,
    border: {
      type: Object,
      default: function() {
      }
    },
    color: String,
    font: String,
    format: String,
    padding: {
      type: [Object, Number],
      default: function() {
      }
    },
    render: [String, Function, Object],
    visible: {
      type: Boolean,
      default: void 0
    }
  },
  render() {
    const t = o(this), e = f(this.$props), r = i.call(this, this.$props.render, d.call(this));
    return p(n, {
      config: {
        ...e,
        render: r
      },
      chartKey: "tooltip"
    }, function() {
      return t;
    });
  }
});
export {
  m as ChartNavigatorSeriesItemTooltip
};
