/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { Configuration as n } from "../base/ConfigurationComponent.mjs";
import { getDefaultSlots as o } from "@progress/kendo-vue-common";
import { removeUndefinedProps as i } from "../../utils/main.mjs";
import { defineComponent as r, h as u } from "vue";
const a = /* @__PURE__ */ r({
  name: "KendoChartSeriesHighlight",
  props: {
    border: {
      type: Object,
      default: function() {
      }
    },
    color: String,
    line: {
      type: Object,
      default: function() {
      }
    },
    opacity: Number,
    toggle: {
      type: Function,
      default: void 0
    },
    visible: {
      type: Boolean,
      default: void 0
    },
    visual: {
      type: Function,
      default: void 0
    }
  },
  render() {
    const e = o(this), t = i(this.$props);
    return u(n, {
      config: t,
      chartKey: "highlight"
    }, function() {
      return e;
    });
  }
});
export {
  a as ChartSeriesHighlight
};
