/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { Configuration as n } from "../base/ConfigurationComponent.mjs";
import { getDefaultSlots as r } from "@progress/kendo-vue-common";
import { removeUndefinedProps as o } from "../../utils/main.mjs";
import { defineComponent as i, h as u } from "vue";
const s = /* @__PURE__ */ i({
  name: "KendoChartSeriesMarkers",
  props: {
    background: String,
    border: {
      type: Object,
      default: function() {
      }
    },
    rotation: Number,
    size: Number,
    type: {
      type: String,
      default: function() {
      }
    },
    visible: {
      type: Boolean,
      default: void 0
    },
    visual: {
      type: Function,
      default: void 0
    },
    from: {
      type: Object,
      default: function() {
      }
    },
    to: {
      type: Object,
      default: function() {
      }
    }
  },
  render() {
    const e = r(this), t = o(this.$props);
    return u(n, {
      config: t,
      chartKey: "markers"
    }, function() {
      return e;
    });
  }
});
export {
  s as ChartSeriesMarkers
};
