/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { Configuration as r } from "../base/ConfigurationComponent.mjs";
import { getDefaultSlots as e } from "@progress/kendo-vue-common";
import { removeUndefinedProps as n } from "../../utils/main.mjs";
import { defineComponent as i, h as f } from "vue";
const u = /* @__PURE__ */ i({
  name: "KendoChartYAxisCrosshairTooltip",
  props: {
    background: String,
    border: {
      type: Object,
      default: void 0
    },
    color: String,
    font: String,
    format: String,
    padding: {
      type: [Object, Number],
      default: void 0
    },
    visible: {
      type: Boolean,
      default: !0
    }
  },
  render() {
    const t = e(this), o = n(this.$props);
    return f(r, {
      config: o,
      chartKey: "tooltip"
    }, function() {
      return t;
    });
  }
});
export {
  u as ChartYAxisCrosshairTooltip
};
