/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { AxisLabelClickEvent as m } from "./axis-label-click-event.mjs";
import { DragEvent as i } from "./drag-event.mjs";
import { DragEndEvent as n } from "./drag-end-event.mjs";
import { DragStartEvent as v } from "./drag-start-event.mjs";
import { LegendItemHoverEvent as E } from "./legend-item-hover-event.mjs";
import { LegendItemClickEvent as l } from "./legend-item-click-event.mjs";
import { LegendItemLeaveEvent as a } from "./legend-item-leave-event.mjs";
import { NavigatorFilterEvent as p } from "./navigator-filter-event.mjs";
import { NoteClickEvent as f } from "./note-click-event.mjs";
import { NoteHoverEvent as c } from "./note-hover-event.mjs";
import { PlotAreaClickEvent as d } from "./plot-area-click-event.mjs";
import { PlotAreaHoverEvent as g } from "./plot-area-hover-event.mjs";
import { RenderEvent as s } from "./render-event.mjs";
import { SelectEvent as S } from "./select-event.mjs";
import { SelectEndEvent as k } from "./select-end-event.mjs";
import { SelectStartEvent as C } from "./select-start-event.mjs";
import { SeriesClickEvent as H } from "./series-click-event.mjs";
import { SeriesHoverEvent as L } from "./series-hover-event.mjs";
import { ZoomEvent as A } from "./zoom-event.mjs";
import { ZoomEndEvent as I } from "./zoom-end-event.mjs";
import { ZoomStartEvent as N } from "./zoom-start-event.mjs";
const t = {
  axisLabelClick: m,
  drag: i,
  dragEnd: n,
  dragStart: v,
  legendItemHover: E,
  legendItemClick: l,
  legendItemLeave: a,
  navigatorFilter: p,
  noteClick: f,
  noteHover: c,
  plotAreaClick: d,
  plotAreaHover: g,
  render: s,
  select: S,
  selectEnd: k,
  selectStart: C,
  seriesClick: H,
  seriesHover: L,
  zoom: A,
  zoomEnd: I,
  zoomStart: N
};
function K(e, r, o) {
  if (t[e])
    return new t[e](r, o);
}
export {
  K as create
};
