/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as u, createVNode as e, h as c } from "vue";
const i = "k-chart-shared-tooltip-marker", h = /* @__PURE__ */ u({
  name: "KendoSharedTooltipPopup",
  props: {
    categoryText: String,
    colorMarker: {
      type: Boolean,
      default: void 0
    },
    colspan: Number,
    nameColumn: {
      type: Boolean,
      default: void 0
    },
    points: Array
  },
  render() {
    const {
      categoryText: o,
      colorMarker: t,
      colspan: r,
      nameColumn: l,
      points: a
    } = this.$props, s = function(n, p) {
      const d = c("span", {
        innerHTML: n.formattedValue
      });
      return e("tr", {
        key: p
      }, [t && e("td", null, [e("span", {
        class: i,
        style: {
          backgroundColor: n.series.color
        }
      }, null)]), l && e("td", null, [n.series.name]), d]);
    };
    return e("table", null, [e("thead", null, [e("tr", null, [e("th", {
      colspan: r
    }, [o])])]), e("tbody", null, [a.map(s.bind(this), this)])]);
  }
});
export {
  h as SharedTooltipContent
};
